List reports
Reports of a table that your role can see.
GET https://cotlet.dev/api/v1/quickbase/reports
read
Returns the reports in the Reports panel of one table, with the report type (table, chart and others). Reports hidden from your role, or set to 'No one; hide it', are not listed. Run one with run_report or export_report.
Parameters
| Name | Type | Description |
|---|---|---|
| app string required | string | App name as it appears under My apps, e.g. 'Field Ops'. |
| table string required | string | Table name as it appears in the app's sidebar, e.g. 'Work orders'. |
Request
curl "https://cotlet.dev/api/v1/quickbase/reports?app=Field+Ops&table=Work+orders" \
-H "Authorization: Bearer $COTLET_API_KEY" result = client.call("quickbase", "list_reports", {"app":"Field Ops","table":"Work orders"}) const result = await cotlet.call('quickbase', 'list_reports', {"app":"Field Ops","table":"Work orders"}); cotlet call quickbase list_reports --data '{"app":"Field Ops","table":"Work orders"}' Example response
{
"reports": [
{
"report": "List All",
"type": "table"
},
{
"report": "Overdue work orders",
"type": "table"
},
{
"report": "Work orders by site",
"type": "chart"
}
]
}